Bug 227079 - Review Request: maven2-common-poms-1.0-3jpp - Common poms for maven2
Summary: Review Request: maven2-common-poms-1.0-3jpp - Common poms for maven2
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:44 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 14:13:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:44:03 UTC
Spec URL: http://people.redhat.com/rafaels/specs/maven2-common-poms-1.0-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/maven2-common-poms-1.0-3jpp.src.rpm
Description: This package is a collection of poms required by various maven2
dependent packages.

Comment 1 Deepak Bhole 2007-02-13 16:23:33 UTC
Fixed Spec and SRPM are here:

http://people.redhat.com/dbhole/fedora/maven2-common-poms/

One note about the spec:

There is no way to generate a tarball easily because a lot of these poms are not
in cvs, yet they are needed for maven2. As more packages move to maven, the poms
will move into those package repos and this package will eventually become obsolete.



Comment 2 Andrew Overholt 2007-02-13 16:52:19 UTC
Lines marked with X need to be fixed.  ? lines should be looked at if
possible.

MUST:
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
X verify source and patches
 . we really need to host the source tarball somewhere other than just in the
   SRPM.  Even just on your people page is fine.  The XML file as well.
X skim the summary and description for typos, etc.
 . "maven2 dependent" -> "maven2-dependent"
* correct buildroot
* %{?dist} used appropriately
X license text included in package and marked with %doc
 . since you're maintaining the source, can you include the ASL text?
* package(s) meets FHS (http://www.pathname.com/fhs/)
* rpmlint on maven2-common-poms-1.0-4jpp.1.fc7.src.rpm gives no output
  W: maven2-common-poms non-standard-group Development/Java
  . safe to ignore
* changelog fine
* Packager tag not used
* Vendor tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* no PreReq
* specfile is legible
* package successfully compiles and builds on at least x86
X BuildRequires are proper
 . why the Requires(postun) on jpackage-utils?  There's no %postun.
* summary is a short and concise description of the package
* description expands upon summary
* lines are <= 80 characters (except buildroot which is fine)
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* no config files
* not a GUI app
* no -devel necessary
* macros used appropriately and consistently
* no %makeinstall
* no locale data
? consider using cp -p on line 5 of %install
* no Requires(pre,post)
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions okay; %defattrs present
* %clean present
* %doc files do not affect runtime
  . adding ASL.txt won't affect this
* not a web app
* final provides and requires sane
* rpmlint on the binary RPMs:

SHOULD:
X package should include license text in the package and mark it with %doc
* package builds on i386
? package builds in mock
  . it's just building in mock now ... I don't anticipate a problem

Comment 3 Andrew Overholt 2007-02-13 18:41:54 UTC
(In reply to comment #2)
> ? package builds in mock
>   . it's just building in mock now ... I don't anticipate a problem

It finished fine.

Comment 4 Deepak Bhole 2007-02-13 18:53:52 UTC
I put the source tarball file here:

http://people.redhat.com/dbhole/public/maven2-common-poms-src.tar.gz

There is a Requires on jpackage-utils because /usr/share/java is owned by
jpackage-utils. I have removed the Requires(postun).


Fixed spec and srpm are in the same location,

Comment 5 Andrew Overholt 2007-02-13 20:10:33 UTC
(In reply to comment #2)
> X verify source and patches
>  . we really need to host the source tarball somewhere other than just in the
>    SRPM.  Even just on your people page is fine.  The XML file as well.

The md5sums now match.

X Please change the Source0 line to the full URL

> X skim the summary and description for typos, etc.
>  . "maven2 dependent" -> "maven2-dependent"

Verified, thanks.

> X license text included in package and marked with %doc
>  . since you're maintaining the source, can you include the ASL text?

Can we do this?

> X BuildRequires are proper
>  . why the Requires(postun) on jpackage-utils?  There's no %postun.

Verified.

> X package should include license text in the package and mark it with %doc

This is the only thing remaining.

Comment 6 Deepak Bhole 2007-03-12 20:55:56 UTC
Licensing issue is resolved. We need to include licenses as %doc, and a
FEDORA.README stating that remaining licenses are Apache 2.0, with a link
pointing to the ml thread about it.

SPEC:
http://people.redhat.com/dbhole/fedora/maven2-common-poms/maven2-common-poms.spec

SRPM:
http://people.redhat.com/dbhole/fedora/maven2-common-poms/maven2-common-poms-1.0-4jpp.1.src.rpm

Comment 7 Andrew Overholt 2007-03-13 15:15:35 UTC
I think the spec you posted got truncated at the top.  Also, FEDORA.README has
lines > 80 characters.  If you could fix both of those issues, I think we're in
business.

Comment 9 Andrew Overholt 2007-03-13 20:34:50 UTC
APPROVED!

Thanks, Deepak.

Comment 10 Deepak Bhole 2007-03-13 23:40:34 UTC
New Package CVS Request
=======================
Package Name: maven2-common-poms
Short Description: Common poms for maven2
Owners: dbhole@redhat.com
Branches: devel

Comment 11 Peter Robinson 2008-10-11 14:13:17 UTC
Closing - in rawhide


Note You need to log in before you can comment on or make changes to this bug.